<template>
	<div class="TextCell" @click="handleClick">
		<router-link v-if="linkTo.length > 0" :to="linkTo">
			{{ text }}
		</router-link>
		<template v-else>
			{{ text }}
		</template>
	</div>
</template>

<script lang="ts">
import { defineComponent } from '@vue/composition-api';
export default defineComponent({
	props: {
		text: {
			type: String,
			required: true,
		},
		linkTo: {
			type: String,
			required: false,
			default: '',
		},
		handleClick: {
			type: Function,
			required: false,
			default: () => {
				/* noop */
			},
		},
	},
});
</script>

<style>
.TextCell {
	display: flex;
	align-items: center;
}

.TextCell a {
	text-decoration: none;
}
</style>
